de.esprit.common.io

## Class BuildInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.io.BuildInfo

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class BuildInfo
      extends TransferableObject

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `buildNoKey`
    `static java.lang.String` | `buildProductKey`
    `static java.lang.String` | `buildTsKey`
    `static java.lang.String` | `buildVendorKey`
    `static java.lang.String` | `manifestSectionKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildInfo(java.util.jar.Manifest manifest)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBuildDate()`
    `int` | `getBuildNumber()`
    `java.lang.String` | `getInfoString()`
    `static BuildInfo` | `loadBuildInfo(Version version)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### manifestSectionKey

          public static final java.lang.String manifestSectionKey

      See Also:
        Constant Field Values

    - #### buildProductKey

          public static final java.lang.String buildProductKey

      See Also:
        Constant Field Values

    - #### buildVendorKey

          public static final java.lang.String buildVendorKey

      See Also:
        Constant Field Values

    - #### buildTsKey

          public static final java.lang.String buildTsKey

      See Also:
        Constant Field Values

    - #### buildNoKey

          public static final java.lang.String buildNoKey

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BuildInfo

          public BuildInfo(java.util.jar.Manifest manifest)

  - ### Method Detail

    - #### getBuildNumber

          public int getBuildNumber()

    - #### getBuildDate

          public java.lang.String getBuildDate()

    - #### getInfoString

          public java.lang.String getInfoString()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### loadBuildInfo

          public static BuildInfo loadBuildInfo(Version version)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.